# Uses of Class
nu.validator.htmlparser.impl.HtmlAttributes

Packages that use HtmlAttributes
Package
Description
nu.validator.htmlparser.common
This package provides common interfaces and enumerations.
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.

## Uses of HtmlAttributes in nu.validator.htmlparser.common

Methods in nu.validator.htmlparser.common with parameters of type HtmlAttributes
Modifier and Type
Method
Description
`void`
TokenHandler.`startTag(ElementName eltName, HtmlAttributes attributes, boolean selfClosing)`
Receive a start tag token.

## Uses of HtmlAttributes in nu.validator.htmlparser.impl

Fields in nu.validator.htmlparser.impl declared as HtmlAttributes
Modifier and Type
Field
Description
`static final HtmlAttributes`
HtmlAttributes.`EMPTY_ATTRIBUTES`
Methods in nu.validator.htmlparser.impl that return HtmlAttributes
Modifier and Type
Method
Description
`HtmlAttributes`
HtmlAttributes.`cloneAttributes()`
Methods in nu.validator.htmlparser.impl with parameters of type HtmlAttributes
Modifier and Type
Method
Description
`protected abstract void`
TreeBuilder.`addAttributesToElement(T element, HtmlAttributes attributes)`
`protected abstract T`
TreeBuilder.`createAndInsertFosterParentedElement(String ns, String name, HtmlAttributes attributes, T table, T stackParent)`
`protected T`
TreeBuilder.`createAndInsertFosterParentedElement(String ns, String name, HtmlAttributes attributes, T form, T table, T stackParent)`
`protected abstract T`
TreeBuilder.`createElement(String ns, String name, HtmlAttributes attributes, T intendedParent)`
`protected T`
TreeBuilder.`createElement(String ns, String name, HtmlAttributes attributes, T form, T intendedParent)`
`protected abstract T`
TreeBuilder.`createHtmlElementSetAsRoot(HtmlAttributes attributes)`
`boolean`
HtmlAttributes.`equalsAnother(HtmlAttributes other)`
`protected void`
ErrorReportingTokenizer.`maybeErrAttributesOnEndTag(HtmlAttributes attrs)`
`protected void`
Tokenizer.`maybeErrAttributesOnEndTag(HtmlAttributes attrs)`
`void`
HtmlAttributes.`merge(HtmlAttributes attributes)`
`final void`
TreeBuilder.`startTag(ElementName elementName, HtmlAttributes attributes, boolean selfClosing)`